<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Edit Role Manager</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form [formGroup]="editForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updateUser()">
                    
                    <div class="form-group">
                        <label class="col-sm-2 control-label">FirstName <i aria-hidden="true" class="mandatory">*</i> </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength = "70" placeholder = "FirstName" formControlName="firstname" class="form-control">
                            <div class="error-msg" *ngIf="editForm.controls['firstname'].invalid && (editForm.controls['firstname'].dirty || editForm.controls['firstname'].touched)">
                                <div *ngIf="editForm.controls['firstname'].errors.required" >
                                    Firstname is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">LastName <i aria-hidden="true" class="mandatory">*</i> </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength = "70" placeholder = " LastName" formControlName="lastname" class="form-control">
                            <div class="error-msg" *ngIf="editForm.controls['lastname'].invalid && (editForm.controls['lastname'].dirty || editForm.controls['lastname'].touched)">
                                <div *ngIf="editForm.controls['lastname'].errors.required" >
                                    Lastname is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                            <label class="col-sm-2 control-label">Email <i aria-hidden="true" class="mandatory">*</i> </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" maxlength = "70" placeholder = "Email" formControlName="email" class="form-control">
                                <div class="error-msg" *ngIf="editForm.controls['email'].invalid && (editForm.controls['email'].dirty || editForm.controls['email'].touched)">
                                    <div *ngIf="editForm.controls['email'].errors.required" >
                                        Email is required.
                                    </div>
                                </div>
                            </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Password <i aria-hidden="true" class="mandatory">*</i> </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength = "70" placeholder = "**********" formControlName="password" class="form-control">
                            <div class="error-msg" *ngIf="editForm.controls['password'].invalid && (editForm.controls['password'].dirty || editForm.controls['password'].touched)">
                                <div *ngIf="editForm.controls['password'].errors.required" >
                                    Password is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Phonenumber <i aria-hidden="true" class="mandatory">*</i> </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength = "70" placeholder = "Phonenumber" formControlName="phonenumber" class="form-control">
                            <div class="error-msg" *ngIf="editForm.controls['phonenumber'].invalid && (editForm.controls['phonenumber'].dirty || editForm.controls['phonenumber'].touched)">
                                <div *ngIf="editForm.controls['phonenumber'].errors.required" >
                                    Phonenumber is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Role<i aria-hidden="true" class="mandatory">*</i> </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder = "Role" formControlName="role" >
                                <mat-option value="2" >
                                    Dispatcher
                                </mat-option>
                                <mat-option value="3">
                                    Admin
                                </mat-option>
                                <mat-option value="4">
                                    FleetManager
                                </mat-option>
                            </mat-select>
                            <div class="error-msg" *ngIf="editForm.controls['role'].invalid && (editForm.controls['role'].dirty || editForm.controls['role'].touched)">
                                <div *ngIf="editForm.controls['role'].errors.required" >
                                    Role is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save changes</button>
                            <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/roles']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
